gnutls_safe_renegotiation_status(3)

NAME
gnutls_safe_renegotiation_status - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_safe_renegotiation_status(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
Can be used to check whether safe renegotiation is being used in the current session.

RETURNS
0 when safe renegotiation is not used and non zero when safe renegotiation is used.

SINCE
2.10.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.